@import "./../../scss/variables";

// General use

.sidebar-container {
  top: 0;
  min-width: 35vh;
  position: sticky;
  align-self: flex-start;
}

.sidebar-section-title {
  color: $primary;
  font-size: 2vh;
  width: fit-content;
  border-bottom: 1px solid $primary;
  margin: auto;
}

.sidebar-btn-spacing {
  margin-left: 1vh;
}

.sidebar-section-btn-list-container {
  padding: 1vh;
  margin-top: 2vh;
}

.sidebar-buttons-common-style {
  color: white;
  margin-right: 1vh;
  margin-bottom: 1.5vh;
  cursor: pointer;
}

// ========== Up section ==========

.sidebar-up-container {
  height: 90vh;
  background: $primary-dark;
  padding: 1vh;
}

.sidebar-time-filter-section-btn-each {
  text-align: center;
  padding: 0.5vh 1vh;
}

// ========== Down section ==========

.sidebar-channel-section-btn-each {
  border: 1px solid white;
  min-width: 5vh;
  width: fit-content;
  text-align: center;
  border-radius: 20px;
  padding: 0.5vh 2vh;
}

.sidebar-btn-selected {
  background-color: $complement;
  color: $primary-dark;
  font-weight: bold;
  border: none;
  border-radius: 20px;
}

.sidebar-bottom-container {
  height: 10vh;
  text-align: center;
  padding: 2vh;
  cursor: pointer;
}

// Sectionbawahs (Section Channel)

.sidebar-channel-btn-list-container {
  width: 90%;
  border: 2px solid red;
}

// Search button

.inactive-search-btn {
  background: $disabled-background-or-text-light;
}

.active-search-btn {
  background: $complement;
}

.sidebar-search-btn {
  display: flex;
  justify-content: center;
}

.search-icon {
  width: 4vh;
  height: 4vh;
  margin-right: 1vh;
}

.inactive-search-icon {
  filter: $disabled-text-dark-filter;
}

.active-search-icon {
  filter: $primary-dark;
}

.search-txt {
  font-size: 2.5vh;
  font-weight: bold;
}

.inactive-search-txt {
  color: $disabled-text-dark;
}

.active-search-txt {
  color: $primary-dark;
}

.search-desc {
  margin-top: -1.8vh;
  color: $primary;
}
